import { OnInit, EventEmitter, TemplateRef } from '@angular/core';
import { SelectableSettings } from '@progress/kendo-angular-grid';
import { SysFuncOperationService } from '../service/sys-func-operation.service';
/**
 * 系统管理：功能操作左树有、右列表展示
 */
export declare class SysFuncOperationComponent implements OnInit {
    private funcOpService;
    /**业务对象,负责传递 */
    bizObjectId: string;
    /**选择模式 */
    gridSelectMode: 'single' | 'multiple';
    /**sessionId */
    sessionId: string;
    /**是否只显示分组 */
    onlyShowGroup: boolean;
    /**分组能否被选择 */
    isGroupCanSelected: boolean;
    /**
     * 确认事件
     */
    afterConfirm: EventEmitter<object[]>;
    /**
     * 关闭事件
     */
    afterCancle: EventEmitter<any>;
    btnOkAndCancleRef: TemplateRef<any>;
    /**
     * 功能操作全量数据
     */
    data: object[];
    /**
     * 当前UI显示动能操作列表数据
     */
    gridData: object[];
    /**
     * 当前选中数据
     */
    curSelectedKeys: string[];
    selectableSettings: SelectableSettings;
    title: string;
    constructor(funcOpService: SysFuncOperationService);
    ngOnInit(): void;
    loadData(): void;
    /**
     * 搜索
     * @param filterValue 查询条件
     */
    searchData(filterValue: string): void;
    /**
     * 业务对象变化后
     * @param arg 业务对象参数
     */
    bizObjectChanged(arg: any): void;
    /**
     * 获取功能分组
     */
    getFuncGroup(funcOpObj: any): string;
    /**
     * 获取选中数据
     */
    getSelectedObject(): any;
    /**
     * 确认
     */
    confirm(): void;
    /**
     * 取消
     */
    cancle(): void;
}
