import { HttpClient } from '@angular/common/http';
import { SysCommonUtilService } from '@gsp-sys/sysmgr-common';
import { Observable } from 'rxjs';
import { TreeFilter } from '../filter/tree-filter';
export declare class GroupService {
    private http;
    private sysUtil;
    constructor(http: HttpClient, sysUtil: SysCommonUtilService);
    private getUrlByGroupType;
    /**
     * 根据级数获取组织
     * @param layer 级数
     */
    getByLayer(layer: number, type: string, filter: TreeFilter): Observable<any>;
    getUsersByOrgIdList(orgIdList: string[]): Observable<Object>;
    /**
     * 根据级数获取组织
     * @param parentId 父节点
     */
    getByParentId(parentId: string, type: string, filter: TreeFilter): Observable<any>;
    /**
     * 根据级数获取组织
     * @param parentId 父节点
     */
    searchData(type: string, filter: TreeFilter): Observable<any>;
}
