import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ILookupHttpService, RemoteParams, LookupGridResult } from '@farris/ui-lookup';
import { SysCommonUtilService } from '@gsp-sys/sysmgr-common';
import { TreeNode } from '@farris/ui-treetable';
import { SysLocaleService } from '../../locale/sys-locale.service';
/**
 * 帮助服务
 */
export declare class SysFarrisLookupService implements ILookupHttpService {
    private http;
    private sysUtil;
    private localService;
    private filterData;
    private i18nRes;
    constructor(http: HttpClient, sysUtil: SysCommonUtilService, localService: SysLocaleService);
    /** 初始过滤条件 */
    private setFilterData;
    /**
     * 添加数据
     */
    private setListData;
    /** 获取过滤数据 */
    private getFilterData;
    /**
     * 异步获取版本
     */
    getTreeDataAsync(url: string, params?: RemoteParams): Observable<LookupGridResult>;
    /**
     * 将树节点转换为Farris TreeNode
     */
    private convertToTreeNode;
    /** 按照parent码构造树 */
    makeTreeByParent(datas: any[], parentField: string, keyField: string): TreeNode[];
    /** 找到子节点 */
    findChildrenByParent(parent: TreeNode, datas: any[], parentField: string, keyField: string): void;
    /**
     * 全部获取版本版本
     */
    getTreeData(url: string, params?: RemoteParams): Observable<LookupGridResult>;
    /** 获取列表数据 */
    getGridData(url: string, params?: RemoteParams): Observable<LookupGridResult>;
    /** 取数 */
    getData(url: string, params?: RemoteParams): Observable<LookupGridResult>;
}
