import { OnInit, EventEmitter } from '@angular/core';
import { SysCommonUtilService } from '@gsp-sys/sysmgr-common';
import { LookupGridComponent, PickedResult } from '@farris/ui-lookup';
import { GspUserFilter } from '../filter/gsp-user-filter';
import { GspPositionFilter } from '../filter/gsp-position-filter';
import { GspRoleFilter } from '../filter/gsp-role-filter';
import { Observable } from 'rxjs';
import { SysLocaleService } from '../../locale/sys-locale.service';
export declare class SysFarrisLookupComponent implements OnInit {
    sysUtil: SysCommonUtilService;
    localService: SysLocaleService;
    /** 标题 */
    title: string;
    /**宽度 */
    width: number;
    /** 是否显示用户排序字段，WF使用 */
    showUserOrderField: boolean;
    /** 显示用户的单位信息，WF使用 */
    showUserUnitInfo: boolean;
    /** 取数源 */
    sourceType: 'user' | 'position' | 'role';
    /** 只读 */
    disabled: boolean;
    /**
     * 必填
     */
    required: boolean;
    /**
     * 打开帮助后是否有选中数据
     */
    enableToSelect: boolean;
    /** 是否单选 */
    singleSelect: boolean;
    /** 是否分页，默认true */
    pagination: boolean;
    /** 首次加载第几页，默认1 */
    pageIndex: number;
    /** 每页加载数，默认20 */
    pageSize: number;
    /** 绑定到帮助上的数据，初始显示值用 */
    displayTxt: string;
    /** 存储帮助选择的对象 */
    bindingData: {
        id: string;
        name: string;
    };
    /** 过滤条件 */
    filter: GspUserFilter | GspPositionFilter | GspRoleFilter | any;
    /** 是否开始数据权限过滤 */
    withPermission: boolean;
    /** 启用关闭前事件 */
    useBeforeCloseEvent: boolean;
    beforeClose: (selectData: any) => Observable<PickedResult>;
    typeMode: number;
    /** 帮助选择后事件 */
    afterConfirm: EventEmitter<any>;
    /** 帮助选择后事件，会返回选中和删除的id */
    afterConfirmData: EventEmitter<any>;
    /** 清空后事件-暂时不用 */
    clear: EventEmitter<any>;
    /** 关闭前-暂时不用 */
    loadSuccessEvent: EventEmitter<any>;
    valueChangedEvent: EventEmitter<any>;
    selectDataEvent: EventEmitter<any>;
    dialogClosed: EventEmitter<any>;
    dataUri: string;
    columns: any[];
    selectedData: any[];
    farrisSelectedData: any[];
    farrisLookUp: LookupGridComponent;
    mapFields: {
        id: string;
        name: string;
    };
    /** 每次关闭前数据 */
    allData: any[];
    i18nRes: any;
    constructor(sysUtil: SysCommonUtilService, localService: SysLocaleService);
    ngOnInit(): void;
    /** 帮助前事件,强行传递过滤条件 */
    beforeOpen: (arg: any) => Observable<{
        showDialog: boolean;
        data: {
            filter: any;
            allData: any[];
            farrisSelectedData: any[];
        };
    }>;
    /** 帮助关闭前事件,目前无论是否都会继续走afterOk映射事件 */
    dictPicked: (arg: any) => Observable<PickedResult>;
    /** 帮助映射后事件 */
    afterOk: (helpdata: any, mapfields: any) => void;
    /** 清空后 */
    afterClear(arg: any): void;
    /** 手动显示帮助 */
    showHelp(): void;
    oncheckedChange(arg: any): void;
}
