import { SysHelpService } from './../service/sys-help.service';
import { OnInit, EventEmitter } from '@angular/core';
import { TreeFilter } from '../filter/tree-filter';
import { LookupGridComponent, PickedResult } from '@farris/ui-lookup';
import { SysCommonUtilService } from '@gsp-sys/sysmgr-common';
import { Observable } from 'rxjs';
import { SysLocaleService } from '../../locale/sys-locale.service';
export declare class SysFarrisTreeHelpComponent implements OnInit {
    sysUtil: SysCommonUtilService;
    localService: SysLocaleService;
    sysHelpService: SysHelpService;
    /** 是否只读 */
    disabled: boolean;
    /** 标题 */
    title: string;
    /** 是否分层加载组织 */
    async: boolean;
    /** 取数源 */
    sourceType: 'org' | 'usergroup' | 'positiongroup' | 'rolegroup';
    /** 是否单选 */
    singleSelect: boolean;
    /** 绑定到帮助上的数据，初始显示值用 */
    displayTxt: string;
    /** 存储帮助选择的对象 */
    bindingData: {
        id: string;
        name: string;
    };
    /** 过滤条件 */
    filter: TreeFilter;
    /**
     * 打开帮助后是否有选中数据
     */
    enableToSelect: boolean;
    /** 启用关闭前事件 */
    useBeforeCloseEvent: boolean;
    /** 开启级联 */
    enableCascade: boolean;
    beforeClose: (selectData: any) => Observable<PickedResult>;
    /** 是否开始数据权限过滤 */
    withPermission: boolean;
    /** 帮助选择后事件 */
    afterConfirm: EventEmitter<any>;
    /** 清空后事件-暂时不用 */
    clear: EventEmitter<any>;
    showAllPathOrg: boolean;
    farrisLookUp: LookupGridComponent;
    mapFields: {
        id: string;
        name: string;
    };
    dataUri: string;
    columns: any;
    treeInfo: any;
    allData: any[];
    i18nRes: any;
    constructor(sysUtil: SysCommonUtilService, localService: SysLocaleService, sysHelpService: SysHelpService);
    ngOnInit(): void;
    /** 帮助前事件,强行传递过滤条件 */
    beforeOpen: (arg: any) => Observable<{
        showDialog: boolean;
        data: {
            filter: TreeFilter;
            allData: any[];
            farrisSelectedData: any[];
        };
    }>;
    /** 帮助关闭前事件,目前无论是否都会继续走afterOk映射事件 */
    dictPicked: (arg: any) => Observable<PickedResult>;
    /** 帮助映射后事件 */
    afterOk: (helpdata: any, mapfields: any) => void;
    /** 清空后 */
    afterClear(arg: any): void;
    /** 手动显示帮助 */
    showHelp(): void;
    search($event: any): void;
}
